      '     The Abductor's Quarters
      '      Adventure for EAMON-PC
      '        for IBM-PC and
      '         compatibles
      '
     DEFINT A-Z
     DECLARE SUB prtcenter (A$)
     KEY OFF
REM $$INCL:'\EAMON\copy\colorrtn.bas'
     ON ERROR GOTO NoColors
     OPEN "EAMCOLOR" FOR INPUT AS #1
     INPUT #1, fgc%
     INPUT #1, bgc%
     INPUT #1, hfg%
     INPUT #1, hbg%
     CLOSE
In.BW:
     ON ERROR GOTO 0
     COLOR fgc%, bgc%
     GOTO Colorset
NoColors:
      fgc% = 7
      bgc% = 0
      hfg% = 0
      hbg% = 7
      RESUME In.BW
Colorset:

    '------- (end of include file) -------    
 ' 
     CLS
     OPEN "Mission.TXT" FOR INPUT AS #2
     WHILE NOT EOF(2)
         LINE INPUT #2, A$
         PRINT A$
     WEND
     GOSUB PAGE.BREAK
     RUN "MAINPGM"
PAGE.BREAK:
     LOCATE 24, 1
     PRINT "==================== Press Any Key to Continue ====================";
     A$ = ""
     WHILE A$ = ""
       A$ = INKEY$
     WEND
     CLS
     RETURN

DEFSNG A-Z
SUB prtcenter (A$)
     L = LEN(A$)
     PRINT SPC((78 - L) \ 2); A$; SPC((78 - L) \ 2);
END SUB

